sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Schneider <ch...@die-schneider.net>
Subject Build error on Java 11 - Upgrade of maven-surefire-plugin version on sling parent?
Date Fri, 05 Jul 2019 08:02:04 GMT
I have found an issue when build a sling bundle on Java 11.
https://issues.apache.org/jira/browse/SLING-8563

It seems that the error is caused by the maven-surefire-plugin we use (
2.20.1) in parent not being compatible to Java 11.
I was able to fix the build by using a newer version (2.22.2) in this
bundle.

So my question is: Should I update the sling parent to this new version or
are there known issues with it?

Christian

-- 
-- 
Christian Schneider
http://www.liquid-reality.de

Computer Scientist
http://www.adobe.com

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message